## org.jfree.xml.generator.model
Class ClassDescription

    java.lang.Object
      org.jfree.xml.generator.model.ClassDescription

    public class ClassDescription

extends java.lang.Object

A description of a Java class.

Constructor Summary
`ClassDescription(java.lang.Class objectClass)` Creates a new class description.

Method Summary
`Comments` `getComments()` Returns the comments for the class description.
`TypeInfo[]` `getConstructorDescription()` Returns the constructor descriptions.
`java.lang.String` `getDescription()` Returns the description.
`java.lang.String` `getName()` Returns the class name.
`java.lang.Class` `getObjectClass()` Returns the object's class.
`PropertyInfo[]` `getProperties()` Returns the info about properties.
`PropertyInfo` `getProperty(java.lang.String name)` Returns a property.
`java.lang.String` `getRegisterKey()` Returns the register key.
`java.lang.String` `getSource()` Returns the source for the class description.
`java.lang.Class` `getSuperClass()` Returns the super class.
`boolean` `isPreserve()` Returns the preserve flag.
`boolean` `isUndefined()` Returns `true` if the description is undefined.
`void` `setComments(Comments comments)` Sets the comments for the class description.
`void` `setConstructorDescription(TypeInfo[] constructorDescription)` Sets the constructor description.
`void` `setDescription(java.lang.String description)` Sets the description for the object.
`void` `setPreserve(boolean preserve)` Sets the preserve flag.
`void` `setProperties(PropertyInfo[] properties)` Sets the info about the class properties.
`void` `setRegisterKey(java.lang.String registerKey)` Sets the register key.
`void` `setSource(java.lang.String source)` Sets the source for the class description.
`void` `setSuperClass(java.lang.Class superClass)` Sets the super class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassDescription

    public ClassDescription(java.lang.Class objectClass)

  Creates a new class description.

  Parameters:
    `objectClass` - the class.

Method Detail

### getProperties

    public PropertyInfo[] getProperties()

  Returns the info about properties.

  Returns:
    the info about properties.

### setProperties

    public void setProperties(PropertyInfo[] properties)

  Sets the info about the class properties.

  Parameters:
    `properties` - the properties.

### getObjectClass

    public java.lang.Class getObjectClass()

  Returns the object's class.

  Returns:
    the object's class.

### getDescription

    public java.lang.String getDescription()

  Returns the description.

  Returns:
    the description.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description for the object.

  Parameters:
    `description` - the description.

### getName

    public java.lang.String getName()

  Returns the class name.

  Returns:
    the class name.

### getSuperClass

    public java.lang.Class getSuperClass()

  Returns the super class.

  Returns:
    the super class.

### setSuperClass

    public void setSuperClass(java.lang.Class superClass)

  Sets the super class.

  Parameters:
    `superClass` - the super class.

### isPreserve

    public boolean isPreserve()

  Returns the preserve flag.

  Returns:
    a boolean.

### setPreserve

    public void setPreserve(boolean preserve)

  Sets the preserve flag.

  Parameters:
    `preserve` - the new value of the flag.

### getRegisterKey

    public java.lang.String getRegisterKey()

  Returns the register key.

  Returns:
    the register key.

### setRegisterKey

    public void setRegisterKey(java.lang.String registerKey)

  Sets the register key.

  Parameters:
    `registerKey` - the register key.

### getConstructorDescription

    public TypeInfo[] getConstructorDescription()

  Returns the constructor descriptions.

  Returns:
    the constructor descriptions.

### setConstructorDescription

    public void setConstructorDescription(TypeInfo[] constructorDescription)

  Sets the constructor description.

  Parameters:
    `constructorDescription` - the constructor description.

### getProperty

    public PropertyInfo getProperty(java.lang.String name)

  Returns a property.

  Parameters:
    `name` - the property name.
  Returns:
    a property.

### isUndefined

    public boolean isUndefined()

  Returns `true` if the description is undefined.

  Returns:
    a boolean.

### getComments

    public Comments getComments()

  Returns the comments for the class description.

  Returns:
    The comments.

### setComments

    public void setComments(Comments comments)

  Sets the comments for the class description.

  Parameters:
    `comments` - the comments.

### getSource

    public java.lang.String getSource()

  Returns the source for the class description.

  Returns:
    The source.

### setSource

    public void setSource(java.lang.String source)

  Sets the source for the class description.

  Parameters:
    `source` - the source.